[Product-Developers] Problem updating to PFG 1.2.5

bad_my84 bas.roijen at gti-group.com
Tue Nov 18 10:20:05 UTC 2008




Tim Knapp wrote:
> 
> On Tue, 2008-11-18 at 01:59 -0800, bad_my84 wrote:
>> 
>> 
>> Tim Knapp wrote:
>> > 
>> > On Tue, 2008-11-18 at 01:33 -0800, bad_my84 wrote:
>> >> Hi all,
>> >> 
>> >> After running buildout to update some products, PFG didn't want to
>> update
>> >> to
>> >> version 1.2.5.
>> >> Before I was running version 1.2.4 without any problems.
>> >> I'm running Plone 3.1.7
>> >> 
>> >> Here's the traceback call:
>> >> Traceback (innermost last):
>> >>   Module ZPublisher.Publish, line 119, in publish
>> >>   Module ZPublisher.mapply, line 88, in mapply
>> >>   Module ZPublisher.Publish, line 42, in call_object
>> >>   Module Products.CMFCore.FSPythonScript, line 140, in __call__
>> >>   Module Shared.DC.Scripts.Bindings, line 313, in __call__
>> >>   Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
>> >>   Module Products.CMFCore.FSPythonScript, line 196, in _exec
>> >>   Module None, line 11, in prefs_reinstallProducts
>> >>    - <FSPythonScript at /Plone/prefs_reinstallProducts used for
>> >> /Plone/portal_quickinstaller>
>> >>    - Line 11
>> >>   Module <string>, line 6, in _facade
>> >>   Module AccessControl.requestmethod, line 64, in _curried
>> >>   Module Products.CMFQuickInstallerTool.QuickInstallerTool, line 639,
>> in
>> >> reinstallProducts
>> >>   Module <string>, line 4, in _facade
>> >>   Module AccessControl.requestmethod, line 64, in _curried
>> >>   Module Products.CMFQuickInstallerTool.QuickInstallerTool, line 621,
>> in
>> >> uninstallProducts
>> >>   Module Products.CMFQuickInstallerTool.InstalledProduct, line 291, in
>> >> uninstall
>> >>   Module Products.ExternalMethod.ExternalMethod, line 231, in __call__
>> >>    - __traceback_info__: ((<PloneSite at /Plone>,), {}, None)
>> >>   Module
>> >>
>> /home/bas/Plone-3.1/buildout-cache/eggs/Products.PloneFormGen-1.2.5-py2.4.egg/Products/PloneFormGen/Extensions/Install.py,
>> >> line 281, in uninstall
>> >>   Module Products.kupu.plone.librarytool, line 240, in
>> >> updateResourceTypes
>> >>   Module Products.kupu.plone.librarytool, line 211, in
>> >> _validate_portal_types
>> >> KupuError: Resource type: linkable, invalid type: PlominoHidewhen
>> > 
>> > Looks like you need to manually remove this type from your 'linkable'
>> > types in the Kupu configlet and then rerun your
>> buildout/quickinstaller.
>> > 
>> > -Tim
>> > 
>> >> 
>> >> 
>> >> In the past I played around with Plomino in this site. I removing with
>> >> the
>> >> quickinstaller and finally removed it from buildout.
>> >> How do I get PFG to update to the newest version?
>> > 
>> > 
>> > _______________________________________________
>> > Product-Developers mailing list
>> > Product-Developers at lists.plone.org
>> > http://lists.plone.org/mailman/listinfo/product-developers
>> > 
>> > 
>> 
>> Do you mean 'Site Setup'->'Visual editor'->'Resource Types'->'linkable'?
>> Because I can't find a portal type named 'PlominoHideWhen' there.
> 
> It may've fixed itself already. Have you tried to do a save on that
> page? Perhaps you can give your buildout another spin now too.
> 
> -Tim
> 
> 
> 
> _______________________________________________
> Product-Developers mailing list
> Product-Developers at lists.plone.org
> http://lists.plone.org/mailman/listinfo/product-developers
> 
> 

A save on that page did the trick, didn't even need to rerun buildout!
-- 
View this message in context: http://n2.nabble.com/Problem-updating-to-PFG-1.2.5-tp1513610p1513737.html
Sent from the Product Developers mailing list archive at Nabble.com.





More information about the Product-Developers mailing list